php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #49276 Sybase 15 incorrect library name references
Submitted: 2009-08-17 08:56 UTC Modified: 2010-06-28 15:36 UTC
From: andy at networkjabber dot com Assigned: thekid (profile)
Status: Closed Package: Sybase-ct (ctlib) related
PHP Version: 5.3.0 OS: Fedora Core 9
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: andy at networkjabber dot com
New email:
PHP Version: OS:

 

 [2009-08-17 08:56 UTC] andy at networkjabber dot com
Description:
------------
This problem was originally logged on 24/2/2006 under #36516, but marked as bogus. However, the problem still exists. Sybase have changed the library names of 4 of their ASE libraries: libsybcs, libsybct, lsybcomn and lsybintl. The default automake profile references these as -lcs -lct -lcomn -lintl so the compile fails with libraries being reported as missing. Both ./configure and ./ext/sybase_ct/config.m4 need to be editied so that these references are -lsybcs -lsybct -lsybcomn -lsybsybintl. After these changes are made all compiles correctly.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2009-08-17 09:36 UTC] jani@php.net
Bug #36516 was marked as being bogus because it was duplicate of bug #45357 and both didn't get any feedback when asked to test this patch:

  http://sitten-polizei.de/php/sybase-configm4.diff

So please apply the patch, run ./buildconf --force and see if it works then.
 [2009-08-17 10:15 UTC] andy at networkjabber dot com
Hi. 

Thanks for the quick reply. I can confirm that the patch works correctly and PHP compiles correctly with the specified directives to build Sybase ASE support. Perhaps it would be worth adding an extra autoconf argument in subsequent PHP releases for Sybase ASE versions previous to 12.5 and those later? i.e. --with-sybase-ct-oldlib or --with-sybase-ct-newlib, for example. 

Many thanks,
Andy
 [2009-08-17 11:15 UTC] jani@php.net
Ok, so the patch works, lets keep this assigned to the maintainer then. :)
 [2009-08-17 11:18 UTC] jani@php.net
Oh, and you don't need extra configure options with the patch since then it detects the libs properly.. :)
 [2009-08-24 17:31 UTC] thekid@php.net
I can't commit at the moment but would appreciate if someone just went ahead and committed this patch to 5_3, 5_2 and head.
 [2010-06-28 15:35 UTC] thekid@php.net
Automatic comment from SVN on behalf of thekid
Revision: http://svn.php.net/viewvc/?view=revision&revision=300806
Log: - Added test for tds_sysdep_public.h and link against -lct only then
- Added test for libsybct64 and libsybct
# The former is a fix for newer versions of FreeTDS which no longer
# provide the tds.h - we need to distinguish in what we link against
# between FreeTDS and the official Sybase libraries, and this seems
# to do the job.
# The latter is the patch from bug #49276 (finally, and sorry)
 [2010-06-28 15:36 UTC] thekid@php.net
-Status: Assigned +Status: Closed
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu May 13 23:01:23 2021 UTC